Subject: Re: Please add option to hide folder sharing options from x2goclient

From: Mike Gabriel <[email-masked]>
Date: Sat, 07 Jun 2014 13:10:09 +0000

Hi Stefan,

On  Fr 06 Jun 2014 19:58:19 CEST, Stefan Baur wrote:

> Similar to Bugs http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=364 and
> http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=365, I would like to
> request an additional commandline parameter for x2goclient.
>
> The parameter should be named --no-sharing or similar, and what it
> should do is hide the folder sharing options
>
> - in an active session, the "<Session Name>/Share Folder" entry on
>   X2Go's taskbar icon context menu when minimized
> - also in an active session, the "Share Folder" icon in the session
>   window when not minimized
> - in the session preferences windows, the "Shared folders" tab
>
> The reason for this is that in environments where folder sharing is
> disallowed by the admin (users not members of fuse group/fuse not
> installed on server), it irritates the users, as those of the
> "tinkering" type try to configure a shared folder, fail, and complain to
> the admins. So it would be cool to be able to hide these options with a
> command line switch.
>
> Also, in environments where folder sharing *is* allowed, but where its
> settings should not be changeable by the user, hiding the option and
> making the config file readonly would be a way to keep users from making
> unwanted changes.

Maybe this bug should be renamed to:

   "Test server-side group membership and hide sharing options if  
connecting user is not
    in group fuse"

???

Having such an option configurable client-side does only make a little  
sense too me, but not much.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb